# class RSS::TaxonomyTopicsModel::TaxonomyTopics

### Constants

Bag

### Public Class Methods

new(*args) click to toggle source
Calls superclass method `RSS::Element::new`

    # File lib/rss/taxonomy.rb, line 61
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.Bag = args[0]
      end
      self.Bag ||= Bag.new
    end

required_prefix() click to toggle source

    # File lib/rss/taxonomy.rb, line 47
    def required_prefix
      TAXO_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/taxonomy.rb, line 51
    def required_uri
      TAXO_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/taxonomy.rb, line 71
    def full_name
      tag_name_with_prefix(TAXO_PREFIX)
    end

maker_target(target) click to toggle source

    # File lib/rss/taxonomy.rb, line 75
    def maker_target(target)
      target.taxo_topics
    end

resources() click to toggle source

    # File lib/rss/taxonomy.rb, line 79
    def resources
      if @Bag
        @Bag.lis.collect do |li|
          li.resource
        end
      else
        []
      end
    end